Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.util
Class TriplyIndexedTable

    java.lang.Object
      org.apache.batik.dom.util.TriplyIndexedTable

    public class TriplyIndexedTable

extends Object

This class represents a triply indexed hash table.
Note: This implementation is not Thread-safe.

Nested Class Summary
`protected static class` | `TriplyIndexedTable.Entry` To manage collisions

Field Summary
`protected int` | `count` The number of entries
`protected static int` | `INITIAL_CAPACITY` The initial capacity
`protected TriplyIndexedTable.Entry[]` | `table` The underlying array

Constructor Summary
`TriplyIndexedTable()` Creates a new TriplyIndexedTable.
`TriplyIndexedTable(int c)` Creates a new TriplyIndexedTable.

Method Summary
`Object` | `get(Object o1, Object o2, Object o3)` Gets the value of an entry
`protected int` | `hashCode(Object o1, Object o2, Object o3)` Computes a hash code corresponding to the given objects.
`Object` | `put(Object o1, Object o2, Object o3, Object value)` Puts a value in the table.
`protected void` | `rehash()` Rehash the table
`int` | `size()` Returns the size of this table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INITIAL_CAPACITY

    protected static final int INITIAL_CAPACITY

  The initial capacity

  See Also:
    Constant Field Values

### table

    protected TriplyIndexedTable.Entry[] table

  The underlying array

### count

    protected int count

  The number of entries

Constructor Detail

### TriplyIndexedTable

    public TriplyIndexedTable()

  Creates a new TriplyIndexedTable.

### TriplyIndexedTable

    public TriplyIndexedTable(int c)

  Creates a new TriplyIndexedTable.

  Parameters:
    `c` - The inital capacity.

Method Detail

### size

    public int size()

  Returns the size of this table.

### put

    public Object put(Object o1,
                      Object o2,
                      Object o3,
                      Object value)

  Puts a value in the table.

  Returns:
    the old value or null

### get

    public Object get(Object o1,
                      Object o2,
                      Object o3)

  Gets the value of an entry

  Returns:
    the value or null

### rehash

    protected void rehash()

  Rehash the table

### hashCode

    protected int hashCode(Object o1,
                           Object o2,
                           Object o3)

  Computes a hash code corresponding to the given objects.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.